Subject: Monches Woods, Wisc.
From: [email-masked] (Matt Anderson)
Date: 10 Aug 1994 08:05:28 -0500
Newsgroups: bionet.mycology

Well, a previous post asked for reports of mushroom forays, so here
goes.

Over the past weekend we went to Monches Woods Ice age Trail in
Wisconsin (just outside Mequon, near Milwaukee, at the westmost point of
highway Q). We found about two-dozen different species, including a
large amount of chanterelles. We were not 100% sure of any other
species, but there were some large ramarias, a few russulas, several
boletus (getting mushy, though), and several other species. We also
found a small group of what we believe were black chanterelles (black
trumpets/horns of plenty), and a couple white chanterelles.

We often run into boletes in the north woods of wisconsin, but don't
really know how to tell the difference among the different species. Any
help would be appreciated, especially in identifying edulis.

Trevor Hyde
c/o [email-masked]